From c45bf6b7447cd18bc69a066323cde55950238de4 Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 15:38:19 +0200
Subject: [PATCH 07/15] Minimize the rules file using debhelper override targets.

---
 debian/changelog |    4 ++--
 debian/control   |    2 +-
 debian/rules     |   24 +++---------------------
 3 files changed, 6 insertions(+), 24 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index a93cbaf..47c35a5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,8 +13,8 @@ alex4 (1.1-4) UNRELEASED; urgency=low
   * Convert to the 3.0 (quilt) source format.
   * Add misc:Depends to the alex4-data package just in case.
   * Expand the alex4-data package's long description.
-  * Bump the debhelper compatibility level to 7 and shorten the rules file
-    using the dh(1) tool.
+  * Bump the debhelper compatibility level to 7 and minimize the rules file
+    using debhelper override targets.
 
  -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
 
diff --git a/debian/control b/debian/control
index ff093e5..947f67b 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Peter De Wachter <pdewacht@gmail.com>
-Build-Depends: debhelper (>= 7), liballegro4.2-dev (>= 2:4.2.2-2), libdumb1-dev, libaldmb1-dev
+Build-Depends: debhelper (>= 7.0.50~), liballegro4.2-dev (>= 2:4.2.2-2), libdumb1-dev, libaldmb1-dev
 Standards-Version: 3.8.1
 Homepage: http://allegator.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alex4/
diff --git a/debian/rules b/debian/rules
index 24a525b..36e0e66 100755
--- a/debian/rules
+++ b/debian/rules
@@ -5,30 +5,12 @@
 
 CFLAGS = -Wall -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)), -O0, -O2)
 
-build: build-stamp
-build-stamp:
-	dh build --before auto_build
+override_dh_auto_build:
 	dh_auto_build -D src -- CFLAGS="$(CFLAGS)" \
 		DATADIR=/usr/share/games/alex4
-	dh build --remaining
-	touch $@
 
-clean:
-	dh clean --before auto_clean
+override_dh_auto_clean:
 	dh_auto_clean -D src
-	dh clean --remaining
 
-install:	install-stamp
-install-stamp:	build
-	dh install
-	touch install-stamp
-
-binary:	binary-arch binary-indep
-
-binary-arch:	install
+%:
 	dh $@
-
-binary-indep:	install
-	dh $@
-
-.PHONY: build clean binary install
-- 
1.7.2.3

